package com.crm.custom.dao.mapper;

import com.crm.rely.backend.core.entity.base.LongEntitys;
import com.crm.rely.backend.model.entity.custom.CustomInfoListEntity;
import com.crm.rely.backend.model.entity.custom.info.CustomBelongsListEntity;
import com.crm.rely.backend.model.pojo.view.CustomInfoView;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by max on 2020/6/18.
 */
@Repository
public interface CustomInfoDao {

    void deleteInBatch(LongEntitys entitys);

    Integer countBelongs(CustomBelongsListEntity entity);

    List<CustomInfoView> listBelongs(CustomBelongsListEntity entity);

    Integer countRecommend(CustomInfoListEntity entity);

    List<CustomInfoView> getPageRecommend(CustomInfoListEntity entity);
}
